# Basic Infomation
Name:          isula-transform
Version:       0.9.1
Release:       3
Summary:       transform docker container to islua container
License:       Mulan PSL V2
URL:           https://gitee.com/openeuler/isula-transform
Source0:       %{name}-%{version}.tar.gz

Patch0001:     0001-fix-missing-healthcheck-configuration-bug.patch

# Dependency
BuildRequires: lcr-devel lxc-devel yajl-devel
BuildRequires: iSulad >= 2.0.5
BuildRequires: golang >= 1.13
Requires:      iSulad docker

%description
isula-transform is a tool which converts the configuration of the docker
container to a type that isulad can recognize as being loaded.

# Build Sections
%prep
%autosetup -n %{name} -p1

%build
make

%install
install -d %{buildroot}%{_bindir}
install -m 0550 ./bin/isula-transform %{buildroot}%{_bindir}/isula-transform

%clean
rm -rf %{buildroot}

# Files list
%files
%attr(550,root,root) %{_bindir}/isula-transform

%changelog
* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.9.1-3
- DESC: delete -Sgit from %autosetup

* Fri Dec 18 2020 wangkang101<873229877@qq.com> - 0.9.1-2
- fix missing healthcheck configuration bug

* Fri Nov 13 2020 wangkang101<873229877@qq.com> - 0.9.1-1
- adapt to iSulad 2.0.5

* Wed Sep 2 2020 wangkang101<873229877@qq.com> - 0.9.0-2
- make log file permissions more restrictive 

* Tue Sep 1 2020 wangkang101<873229877@qq.com> - 0.9.0-1
- package init
